Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 713282 (CVE-2020-6422, CVE-2020-6424, CVE-2020-6425, CVE-2020-6426, CVE-2020-6427, CVE-2020-6428, CVE-2020-6429, CVE-2020-6449)

Summary: <www-client/chromium-80.0.3987.149: multiple vulnerabilities
Product: Gentoo Security Reporter: Stephan Hartmann <sultan>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: chromium
Priority: Normal Flags: stable-bot: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://chromereleases.googleblog.com/2020/03/stable-channel-update-for-desktop_18.html
See Also: https://github.com/gentoo/gentoo/pull/15006
https://github.com/gentoo/gentoo/pull/15015
Whiteboard: A2 [glsa+ cve]
Package list:
www-client/chromium-80.0.3987.149
Runtime testing required: ---

Description Stephan Hartmann gentoo-dev 2020-03-18 19:19:32 UTC
See ${URL}

Reproducible: Always
Comment 1 Stephan Hartmann gentoo-dev 2020-03-18 19:24:51 UTC
chromium is affected by CVE-2019-20503 too, but CVE is claimed by bug 712182.
Comment 2 Larry the Git Cow gentoo-dev 2020-03-18 19:55:38 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3557ae18b70b995afe71d9ad8ae7e8d7f52fd42

commit b3557ae18b70b995afe71d9ad8ae7e8d7f52fd42
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-03-18 19:39:51 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-03-18 19:55:04 +0000

    www-client/chromium: stable channel bump to 80.0.3987.149
    
    Drop dependency on deprecated libgnome-keyring.
    
    Bug: https://bugs.gentoo.org/713282
    Bug: https://bugs.gentoo.org/713012
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/15006

 www-client/chromium/Manifest                      |   1 +
 www-client/chromium/chromium-80.0.3987.149.ebuild | 739 ++++++++++++++++++++++
 2 files changed, 740 insertions(+)
Comment 3 Agostino Sarubbo gentoo-dev 2020-03-19 18:23:29 UTC
amd64 stable.

Maintainer(s), please cleanup.
Comment 4 Larry the Git Cow gentoo-dev 2020-03-19 18:45:01 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6167995701322fcd5e42cf8fe969a5e11dc866f4

commit 6167995701322fcd5e42cf8fe969a5e11dc866f4
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-03-19 18:30:39 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-03-19 18:44:52 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/713282
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/15015

 www-client/chromium/Manifest                      |   1 -
 www-client/chromium/chromium-80.0.3987.132.ebuild | 738 ----------------------
 2 files changed, 739 deletions(-)
Comment 5 Thomas Deutschmann (RETIRED) gentoo-dev 2020-03-25 18:23:46 UTC
New GLSA request filed.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2020-03-25 18:33:07 UTC
This issue was resolved and addressed in
 GLSA 202003-53 at https://security.gentoo.org/glsa/202003-53
by GLSA coordinator Thomas Deutschmann (whissi).